Using the List Editor (Clip Properties)

Using the List Editor

Sometimes, a piano roll view of a MIDI file just doesn't cut it. If you want to see exactly what's going on in your complex MIDI file, you can use the list editor.

The List Editor tab is an OPT plug-in that you can use to perform detailed filtering and editing within the Clip Properties window for a MIDI clip.

Events within the MIDI file are displayed in a table. Each event occupies one row, and the rows are sorted in chronological order. The columns in the List Editor tab display the contents of the events.

What do you want to do?

Filter MIDI events

Edit, add, and delete MIDI events

Previewing from the list editor


Filtering MIDI Events (Clip Properties)

Filtering MIDI Events

A MIDI file can contain a mind-boggling array of events. The List Editor tab allows you to filter MIDI data to help you display only the events you want.

  1. Click the Filter button [image] to display the MIDI Event Filter dialog.

  2. Select the check box for each event type that you want to exclude from the event list. Clear a check box to include events of that type.


Adding, Editing, and Deleting Events (Clip Properties)

Editing an existing event allows you to change parameters for an existing event.

You cannot change the event type for an existing event. If you need to change the event type, select an event in the list and click the Delete button [image]. You can then insert a new event by clicking the Insert Event button [image].

  1. Select an event in the List Editor tab and click the Edit Event button [image] to open the Edit MIDI Event dialog.

Each event type has different parameters that you can adjust. Depending on the type of event that you're editing, the contents of the Edit Event dialog will vary. For a list of parameters for each event type, click here.

  2. Edit the settings in the Edit MIDI Event dialog.

  3. Click OK to close the Edit MIDI Event dialog and apply your changes.

You can use the List Editor tab to add new events to the list.

  1. Click the Insert Event button [image] to display the Insert MIDI Event dialog.

Each event type has different parameters that you can adjust. Depending on the type of event that you're creating, the contents of the Insert MIDI Event dialog will vary. For a list of parameters for each event type, click here.

  2. Edit the settings in the Insert MIDI Event dialog as desired.

  3. Click OK to close the Insert MIDI Event dialog and apply your changes.

  1. Select the events you want to delete.

Hold Ctrl or Shift while clicking to select multiple events.

  2. Click the Delete button [image]. The events are removed from the list.

So we can't all play with a drummer who has perfect timing. . . . Let's face it: even if we could, that might not help some of us play in time.

You can use the MIDI Quantize dialog to force events to align with musical beats based on the parameters you specify.

  1. Select the events you want to quantize.

Hold Ctrl or Shift while clicking to select multiple events.

  2. Click the Quantize button . The MIDI Quantize dialog is displayed.

  3. From the Quantize resolution drop-down list, choose the beat to which you want the selected events to be quantized.

  4. Choose the MIDI events you want to quantize:

    Item

    Description

    Start times

    Select this check box if you want MIDI event start times to snap to the beat selected in the Quantize resolution drop-down list.

    Note durations

    Select this check box if you want note durations to snap to the beat selected in the Quantize resolution drop-down list.

    Notes only

    Select this check box if you want to quantize only note events.

    Aftertouch, control change, meta, NRPN, RPN, pitch bend, poly pressure, and program change events will not be quantized when this check box is selected.

    Apply to current selection only

    Select this check box if you want to quantize only the selected events. Clear the check box to quantize all events within the list.

  5. Click Apply.

Adding, Editing, and Deleting MIDI Events

You can use the List Editor tab to edit a MIDI file by adding, editing, and deleting MIDI events.

What do you want to do?

Edit an event

Add an event

Delete events

Quantize events


Playing from the List Editor (Clip Properties)

When monitoring is enabled, the list editor will play events when you select them.

  1. Select the Monitor button [image] on the List Editor tab.

  2. Click anywhere in an event row to play the event.

Item |  | Description
 | Loop Playback | Click to toggle looped playback mode. When the button is selected, only the events between the mark in [image] and mark out [image] points will be played.
 | Play from Start | Plays the entire MIDI file from the beginning, regardless of cursor position.
 | Play | Plays from the current cursor position.
 | Pause | Halts playback. The next time you click Play, playback will begin with the last event played.
 | Stop | Halts playback. The next time you click Play, playback will begin with the first event in the list.
 | Go to Start | Moves the cursor to the beginning of the list.
 | Go to End | Moves the cursor to the end of the list.

When the Loop Playback button [image] is selected, you can set a portion of the edit list to play repeatedly. The beginning, end, and length of the loop region are displayed in the Loop boxes in the lower-right corner of the List Editor tab.

  1. Select the Loop Playback button [image] .

  2. Select the first event you want to play.

  3. Click the Mark Loop Start [image] button.

  4. Select the last event you want to play.

  5. Click the Mark Loop End [image] button.

  6. Click the Play button [image] to start playback.

Previewing in the List Editor

The list editor's transport controls allow you to audition your changes instantly through the output where your ACID track is routed.

What do you want to do?

Preview a single event

Play your MIDI file

Set a loop region


Editable Event Parameters (Clip Properties)

Parameter | Description
Start Time | Time (in measures.beats.ticks) that you want the event to begin.
Channel | MIDI channel (1-16) where you want to send the event.
Pressure | Amount of vibrato (0-127) you want to apply to each voice on the channel.
Parameter | Description
Start Time | Time (in measures.beats.ticks) that you want the event to begin.
Channel | MIDI channel (1-16) where you want to send the event.
Controller Change Number | Displays the number of the current controller change type. Choose a controller change type from the drop-down list to the right of the Event type drop-down.
Controller Change Value | The controller value.
Parameter | Description
Start Time | Time (in measures.beats.ticks) that you want the event to begin.
Channel | MIDI channel (1-16) where you want to send the event.
Note | The note you want to play as a numeric value (60) or pitch (C3). For example, you could type either 60 or C3 in the box. For a list of MIDI note values, click here.
On Velocity | The speed of the note's attack (0-127). Low values produce a soft attack; high values produce a strong attack.
Off Velocity | The speed of the note's release (0-127). Low values produce a soft release; high values produce a staccato release.
Duration | The length of the note's sustain in measures:beats.ticks.

Packed nonregistered parameter numbers are used to adjust settings such as vibrato and filtering, but are not part of the General MIDI specification. Refer to your MIDI device's documentation for more information about the required parameters.

Parameter | Description
Start Time | Time (in measures.beats.ticks) that you want the event to begin.
Channel | MIDI channel (1-16) where you want to send the event.
NRP MSB | The parameter's most significant byte.
NRP LSB | The parameter's least significant byte.
Data MSB | The value for the most significant byte.
Data LSB | The value for the least significant byte.

Packed registered parameter numbers are used to adjust common settings such as pitch wheel range.

Parameter | Description
Start Time | Time (in measures.beats.ticks) that you want the event to begin.
Channel | MIDI channel (1-16) where you want to send the event.
NRP MSB | The parameter's most significant byte.
NRP LSB | The parameter's least significant byte.
Data MSB | The value for the most significant byte.
Data LSB | The value for the least significant byte.
Parameter | Description
Start Time | Time (in measures.beats.ticks) that you want the event to begin.
Channel | MIDI channel (1-16) where you want to send the event.
Bank LSB | The least significant byte value for the bank.
Bank MSB | The most significant byte value for the bank.
Patch | The number of the patch you want to play.
Parameter | Description
Start Time | Time (in measures.beats.ticks) that you want the event to begin.
Pitch +/- | The number of cents by which you want to bend the pitch.
Parameter | Description
Start Time | Time (in measures.beats.ticks) that you want the event to begin.
Channel | MIDI channel (1-16) where you want to send the event.
Note | The note to which you want to apply pressure.
Pressure | The pressure (0-127) you want to apply to the note. Most devices will apply more vibrato to a note as the pressure increases.
Parameter | Description
Start Time | Time (in measures.beats.ticks) that you want the event to begin.
Patch | The number of the new patch you want to play.

Editable Event Parameters

Each event in the List Editor has different parameters that you can adjust.

If you're sending MIDI to an external device, refer to your MIDI device's documentation for more information about the required parameters.

Which event type do you want to learn more about?

Aftertouch

Control change

Note

Packed NRPN

Packed RPN

Patch

Pitch bend

Poly pressure

Program change


MIDI Notes and Frequencies

The following chart shows the musical pitch and frequency associated with each MIDI note.

A4 is 440 Hz, and middle C is C4 at 261.63 Hz. These values can differ — often by one octave — from values used by other manufacturers. To avoid negative values, some MIDI sequencers and sound modules use C0 as MIDI key 0, which then makes middle C C3 instead of the more standard C4.

The following frequencies are based on equal temperament tuning.

Pitch | MIDI Key | Frequency | Pitch | MIDI Key | Frequency
C 0 | 0 | 8.176 | E 5 | 64 | 329.63
C# 0 | 1 | 8.662 | F 5 | 65 | 349.23
D 0 | 2 | 9.177 | F# 5 | 66 | 369.99
D# 0 | 3 | 9.723 | G 5 | 67 | 391.99
E 0 | 4 | 10.301 | G# 5 | 68 | 415.31
F 0 | 5 | 10.913 | A 5 | 69 | 440.00
F# 0 | 6 | 11.562 | A# 5 | 70 | 466.16
G 0 | 7 | 12.250 | B 5 | 71 | 493.88
G# 0 | 8 | 12.978 | C 6 | 72 | 523.25
A 0 | 9 | 13.750 | C# 6 | 73 | 554.37
A# 0 | 10 | 14.568 | D 6 | 74 | 587.33
B 0 | 11 | 15.434 | D# 6 | 75 | 622.25
C 1 | 12 | 16.352 | E 6 | 76 | 659.26
C# 1 | 13 | 17.324 | F 6 | 77 | 698.46
D 1 | 14 | 18.354 | F# 6 | 78 | 739.99
D# 1 | 15 | 19.445 | G 6 | 79 | 783.99
E 1 | 16 | 20.601 | G# 6 | 80 | 830.61
F 1 | 17 | 21.826 | A 6 | 81 | 880.00
F# 1 | 18 | 23.124 | A# 6 | 82 | 932.32
G 1 | 19 | 24.499 | B 6 | 83 | 987.77
G# 1 | 20 | 25.956 | C 7 | 84 | 1046.5
A 1 | 21 | 27.500 | C# 7 | 85 | 1108.7
A# 1 | 22 | 29.135 | D 7 | 86 | 1174.7
B 1 | 23 | 30.867 | D# 7 | 87 | 1244.5
C 2 | 24 | 32.703 | E 7 | 88 | 1318.5
C# 2 | 25 | 34.648 | F 7 | 89 | 1396.9
D 2 | 26 | 36.708 | F# 7 | 90 | 1480.0
D# 2 | 27 | 38.890 | G 7 | 91 | 1568.0
E 2 | 28 | 41.203 | G# 7 | 92 | 1661.2
F 2 | 29 | 43.653 | A 7 | 93 | 1760.0
F# 2 | 30 | 46.249 | A# 7 | 94 | 1864.7
G 2 | 31 | 48.999 | B 7 | 95 | 1975.5
G# 2 | 32 | 51.913 | C 8 | 96 | 2093.0
A 2 | 33 | 55.000 | C# 8 | 97 | 2217.5
A# 2 | 34 | 58.270 | D 8 | 98 | 2349.3
B 2 | 35 | 61.735 | D# 8 | 99 | 2489.0
C 3 | 36 | 65.406 | E 8 | 100 | 2637.0
C# 3 | 37 | 69.295 | F 8 | 101 | 2793.8
D 3 | 38 | 73.416 | F# 8 | 102 | 2960.0
D# 3 | 39 | 77.781 | G 8 | 103 | 3136.0
E 3 | 40 | 82.406 | G# 8 | 104 | 3322.4
F 3 | 41 | 87.307 | A 8 | 105 | 3520.0
F# 3 | 42 | 92.499 | A# 8 | 106 | 3729.3
G 3 | 43 | 97.998 | B 8 | 107 | 3951.1
G# 3 | 44 | 103.82 | C 9 | 108 | 4186.0
A 3 | 45 | 110.00 | C# 9 | 109 | 4434.9
A# 3 | 46 | 116.54 | D 9 | 110 | 4698.6
B 3 | 47 | 123.47 | D# 9 | 111 | 4978.0
C 4 | 48 | 130.81 | E 9 | 112 | 5274.0
C# 4 | 49 | 138.59 | F 9 | 113 | 5587.7
D 4 | 50 | 146.83 | F# 9 | 114 | 5919.9
D# 4 | 51 | 155.56 | G 9 | 115 | 6271.9
E 4 | 52 | 164.81 | G# 9 | 116 | 6644.9
F 4 | 53 | 174.61 | A 9 | 117 | 7040.0
F# 4 | 54 | 184.99 | A# 9 | 118 | 7458.6
G 4 | 55 | 195.99 | B 9 | 119 | 7902.1
G# 4 | 56 | 207.65 | C 10 | 120 | 8372.0
A 4 | 57 | 220.00 | C# 10 | 121 | 8869.8
A# 4 | 58 | 233.08 | D 10 | 122 | 9397.3
B 4 | 59 | 246.94 | D# 10 | 123 | 9956.1
C 5 | 60 | 261.63 | E 10 | 124 | 10548.1
C# 5 | 61 | 277.18 | F 10 | 125 | 11175.3
D 5 | 62 | 293.66 | F# 10 | 126 | 11839.8
D# 5 | 63 | 311.13 | G 10 | 127 | 12543.9


Welcome

MIDI List Editor Plug-In Help

©2008. Sony Creative Software Inc

All Rights Reserved

Rev. September 16, 2008